Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234330 - Review Request: ruby-cairo - ruby bindings for cairo
Summary: Review Request: ruby-cairo - ruby bindings for cairo
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 232160
TreeView+ depends on / blocked
 
Reported: 2007-03-28 14:58 UTC by Allisson Azevedo
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-30 02:39:42 UTC
mtasaka: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Allisson Azevedo 2007-03-28 14:58:37 UTC
Spec URL: http://fedora.allisson.eti.br/ruby-cairo/ruby-cairo.spec
SRPM URL: http://fedora.allisson.eti.br/ruby-cairo/ruby-cairo-1.4.1-1.src.rpm

Description: Ruby bindings for cairo. Cairo is a 2D graphics library with
support for multiple output devices. Currently supported output targets include the 
X Window System, win32, and image buffers.

Comment 1 Mamoru TASAKA 2007-03-28 16:21:38 UTC
For 1.4.1-1:

* License
  - Well as Ruby uses "Ruby License/GPL", I would prefer
    to use it.

* Group
  - "Development/Languages" is for -devel package.
    For libraries, this should be "System Environment/Libraries"

* Release number specific dependency
  - Usually, provides or Requires for main package should be
    release number specific.

* Ownership
  - The following directories are not owned by any packages.
-------------------------------------------------
%{ruby_sitelib}/cairo/
%{ruby_sitelib}/cairo/context/
-------------------------------------------------
    NOTE:
    When you just write
-------------------------------------------------
%files
.....
foo/
-------------------------------------------------
    (where foo is a directory), this means the directory foo itself
    and all files/directories/etc under foo directory.

    While if you write
-------------------------------------------------
%files
......
%dir foo/
-------------------------------------------------
   This only contains the directory foo itself.

* Timestamps
  - Again keep timestamps on non-generated files.
    For this package, the following works.
-------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"
-------------------------------------------------

* %check
  - Empty %check is not needed and please remove this.

* Requires
   - %{ruby_sitearch}/rb_cairo.h contains the line:
------------------------------------------------
    39  #include "ruby.h"
------------------------------------------------
     This means that -devel package needs "Requires: ruby-devel".

NOTE:
- When you update spec file, please describe briefly how
  you changed it in %changelog entry, not just write "Fix .spec".

Comment 3 Mamoru TASAKA 2007-03-29 07:08:22 UTC
Okay.

-------------------------------------------
   This package (ruby-cairo) is APPROVED by me.
-------------------------------------------

Comment 4 Allisson Azevedo 2007-03-29 10:36:28 UTC
New Package CVS Request
=======================
Package Name: ruby-cairo
Short Description: ruby bindings for cairo
Owners: allisson@gmail.com
Branches: FC-6


Note You need to log in before you can comment on or make changes to this bug.